%define anolis_release 1
%global debug_package %{nil}
%global pypi_name sentencepiece
%global pypi_version 0.1.99

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        SentencePiece python wrapper

License:        Apache
URL:            https://github.com/google/sentencepiece
Source0:        %{pypi_source}

BuildRequires:  python3-devel cmake gcc-c++ gcc pkg-config
BuildRequires:  python3dist(setuptools)

%description
 SentencePiece Python WrapperPython wrapper for SentencePiece. This API will
offer the encoding, decoding and training of Sentencepiece. Build and Install
SentencePiece For Linux (x64/i686), macOS, and Windows(win32/x64) environment,
you can simply use pip command to install SentencePiece python module. % pip
install sentencepiece To build and install the Python wrapper from source, try
the...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 SentencePiece Python WrapperPython wrapper for SentencePiece. This API will
offer the encoding, decoding and training of Sentencepiece. Build and Install
SentencePiece For Linux (x64/i686), macOS, and Windows(win32/x64) environment,
you can simply use pip command to install SentencePiece python module. % pip
install sentencepiece To build and install the Python wrapper from source, try
the...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# %check
# pytest

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitearch}/%{pypi_name}/*
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Jan 10 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.1.99-1
- Initial package
